/**
 * @file	xmlsysdep.h
 * @brief	System dependent information for LibXmlKit.
 * @date	2004.02.14
 * @author	Steel Wheels Project
 * @par Copyright
 *   Copyright (C) 2004 Steel Wheels Project.
 *   All right reserved.
 * @par Description
 *   System dependent information for LibXmlKit.
 */

#if !defined(XMLSYSDEP_H_INCLUDED)
/** Avoid multiple inclusion */
#define	XMLSYSDEP_H_INCLUDED

#ifdef __APPLE__
#	include <Foundation/Foundation.h>
	/** Common Object class */
#	define	OBJECT	NSObject
#else
	/* note: "objc/Object.h" refers "strcmp" function. */
#	include <string.h>
#	include <objc/Protocol.h> 
#	include <objc/objc.h>
#	include <objc/Object.h>
	/** Common Object class */
#	define	OBJECT	Object
#endif

#endif	/* !defined(XMLSYSDEP_H_INCLUDED) */

