dnl AC_PATH_LIBXMLKIT()
dnl
dnl Test for LibXmlKit, and define LIBXMLKIT_OBJCFLAGS and LIBXMLKIT_OBJCLIBS
dnl

AC_DEFUN([AC_PATH_LIBXMLKIT],[
dnl
dnl  Get the cflags and libraries from the libxmlkit-config script
dnl

libxmlkit_config_args="" ;
no_libxmlkit="" ;
LIBXMLKIT_OBJCFLAGS="" ;
LIBXMLKIT_OBJCLIBS="" ;

dnl  (1) define the configure option to get the prefix of LibXmlKit
AC_ARG_WITH(libxmlkit-prefix, [  --with-libxmlkit-prefix=PFX    prefix where LibXmlKit is installed (optional)],
  libxmlkit_config_prefix="$withval", libxmlkit_config_prefix="")

dnl  (2) define the configure option to get the exec prefix of LibXmlKit
AC_ARG_WITH(libxmlkit-exec-prefix, [  --with-libxmlkit-exec-prefix=PFX   exec prefix where LibXmlKit is installed (optional)],
  libxmlkit_config_exec_prefix="$withval", libxmlkit_config_exec_prefix="")

dnl  (3) check the libxmlkit_config_exec_prefix was set or not
if test "X${libxmlkit_config_exec_prefix}" != "X" ; then
	libxmlkit_config_args="--exec-prefix=$libxmlkit_config_exec_prefix" ;
fi

dnl  (4) check the libxmlkit_config_prefix was set or not
if test "X${libxmlkit_config_prefix}" != "X" ; then
	libxmlkit_config_args="$libxmlkit_config_args --prefix=$libxmlkit_config_prefix" ;
fi

dnl  (5) check the existence of libxmlkit-config
AC_PATH_PROG(PKG_CONFIG, pkg-config, no)

dnl  (6) make OBJCFLAGS ans LIBS
AC_MSG_CHECKING(objcflags of LibXmlKit)
if test "$PKG_CONFIG" = "no" ; then
	AC_MSG_RESULT([not found])
else
	LIBXMLKIT_OBJCFLAGS=`$PKG_CONFIG libxmlkit $libxmlkit_config_args --cflags`
	AC_MSG_RESULT($LIBXMLKIT_OBJCFLAGS)
fi
AC_MSG_CHECKING(objclibs of LibXmlKit)
if test "$PKG_CONFIG" = "no" ; then
	AC_MSG_RESULT([not found])
else
	LIBXMLKIT_OBJCLIBS=`$PKG_CONFIG libxmlkit $libxmlkit_config_args --libs`
	AC_MSG_RESULT($LIBXMLKIT_OBJCLIBS)
fi
AC_SUBST(LIBXMLKIT_OBJCFLAGS)
AC_SUBST(LIBXMLKIT_OBJCLIBS)

])

